"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2a70>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2b00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2b90>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2c20>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2cb0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2d40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2dd0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2e60>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2ef0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e2f80>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3010>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e30a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3130>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e31c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3250>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e32e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3370>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3400>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3490>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3520>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e35b0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3640>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e36d0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3760>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3880>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e37f0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3910>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e39a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3a30>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3ac0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3b50>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3be0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3c70>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3d00>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3d90>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3e20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3eb0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44b9e3f40>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba340d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34160>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba341f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34280>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34310>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba343a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34430>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba344c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34550>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba345e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34670>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34700>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34790>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34820>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba348b0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba349d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34a60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34af0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34b80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34c10>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34ca0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34d30>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34dc0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34e50>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34ee0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35090>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba34f70>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35120>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba351b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35240>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba352d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35360>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35480>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba353f0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35510>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba355a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35630>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35750>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba356c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba357e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35870>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35900>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35990>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35a20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd44ba35ab0>)]
name: str = 'fr_HOCCN'
